/* 
	USC RPL HAMSTER v2.3
	Contributors: Lauren Potterat 
*/

#pragma once

#include "BNO080.h"
#include "mbed.h"

Serial pc(USBTX, USBRX);

// These pin assignments are specific to my dev setup -- you'll need to change them
BNO080 imu(&pc, p28, p27, p16, p30, 0x4a, 100000); 

class BNOTestSuite{
public:

	void test_printInfo();

	void test_readRotationVector();

	void test_readRotationAcceleration();

	void test_tapDetector();

	void test_gameRotationVector();

	void test_tare();

	void test_magCalibration();

	void test_stabilityClassifier();

	void test_metadata();

	void test_orientation();
	
	void test_permanentOrientation();

	void test_disable();

};
